classification
Title: test_asyncio: test_cancel_make_subprocess_transport_exec() failed on RHEL7 LTO + PGO 3.x
Type: Stage: resolved
Components: Tests Versions: Python 3.9
process
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: Nosy List: aeros, vstinner
Priority: normal Keywords:

Created on 2019-09-25 13:09 by vstinner, last changed 2020-02-07 10:54 by vstinner. This issue is now closed.

Messages (4)
msg353192 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2019-09-25 13:09
test_asyncio failed once, but then passed when re-run in verbose mode.

RHEL7 LTO + PGO 3.x:
https://buildbot.python.org/all/#/builders/258/builds/31

running: test_asyncio (9 min 21 sec)
running: test_asyncio (9 min 51 sec)
running: test_asyncio (10 min 21 sec)
running: test_asyncio (10 min 51 sec)
running: test_asyncio (11 min 21 sec)
running: test_asyncio (11 min 51 sec)
running: test_asyncio (12 min 21 sec)
running: test_asyncio (12 min 51 sec)
running: test_asyncio (13 min 21 sec)
running: test_asyncio (13 min 51 sec)
running: test_asyncio (14 min 21 sec)
running: test_asyncio (14 min 51 sec)
0:15:57 load avg: 0.01 [419/419/1] test_asyncio crashed (Exit code 1)
Timeout (0:15:00)!
Thread 0x00007f76b16ad740 (most recent call first):
  File "/home/buildbot/buildarea/3.x.cstratak-RHEL7-x86_64.lto-pgo/build/Lib/selectors.py", line 468 in select
  File "/home/buildbot/buildarea/3.x.cstratak-RHEL7-x86_64.lto-pgo/build/Lib/asyncio/base_events.py", line 1837 in _run_once
  File "/home/buildbot/buildarea/3.x.cstratak-RHEL7-x86_64.lto-pgo/build/Lib/asyncio/base_events.py", line 589 in run_forever
  File "/home/buildbot/buildarea/3.x.cstratak-RHEL7-x86_64.lto-pgo/build/Lib/asyncio/base_events.py", line 621 in run_until_complete
  File "/home/buildbot/buildarea/3.x.cstratak-RHEL7-x86_64.lto-pgo/build/Lib/test/test_asyncio/test_subprocess.py", line 440 in test_cancel_make_subprocess_transport_exec
  File "/home/buildbot/buildarea/3.x.cstratak-RHEL7-x86_64.lto-pgo/build/Lib/unittest/case.py", line 616 in _callTestMethod
  File "/home/buildbot/buildarea/3.x.cstratak-RHEL7-x86_64.lto-pgo/build/Lib/unittest/case.py", line 659 in run
  File "/home/buildbot/buildarea/3.x.cstratak-RHEL7-x86_64.lto-pgo/build/Lib/unittest/case.py", line 719 in __call__
  File "/home/buildbot/buildarea/3.x.cstratak-RHEL7-x86_64.lto-pgo/build/Lib/unittest/suite.py", line 122 in run
  File "/home/buildbot/buildarea/3.x.cstratak-RHEL7-x86_64.lto-pgo/build/Lib/unittest/suite.py", line 84 in __call__
  File "/home/buildbot/buildarea/3.x.cstratak-RHEL7-x86_64.lto-pgo/build/Lib/unittest/suite.py", line 122 in run
  File "/home/buildbot/buildarea/3.x.cstratak-RHEL7-x86_64.lto-pgo/build/Lib/unittest/suite.py", line 84 in __call__
  File "/home/buildbot/buildarea/3.x.cstratak-RHEL7-x86_64.lto-pgo/build/Lib/unittest/suite.py", line 122 in run
  File "/home/buildbot/buildarea/3.x.cstratak-RHEL7-x86_64.lto-pgo/build/Lib/unittest/suite.py", line 84 in __call__
  File "/home/buildbot/buildarea/3.x.cstratak-RHEL7-x86_64.lto-pgo/build/Lib/unittest/suite.py", line 122 in run
  File "/home/buildbot/buildarea/3.x.cstratak-RHEL7-x86_64.lto-pgo/build/Lib/unittest/suite.py", line 84 in __call__
  File "/home/buildbot/buildarea/3.x.cstratak-RHEL7-x86_64.lto-pgo/build/Lib/unittest/suite.py", line 122 in run
  File "/home/buildbot/buildarea/3.x.cstratak-RHEL7-x86_64.lto-pgo/build/Lib/unittest/suite.py", line 84 in __call__
  File "/home/buildbot/buildarea/3.x.cstratak-RHEL7-x86_64.lto-pgo/build/Lib/unittest/runner.py", line 176 in run
  File "/home/buildbot/buildarea/3.x.cstratak-RHEL7-x86_64.lto-pgo/build/Lib/test/support/__init__.py", line 1996 in _run_suite
  File "/home/buildbot/buildarea/3.x.cstratak-RHEL7-x86_64.lto-pgo/build/Lib/test/support/__init__.py", line 2092 in run_unittest
  File "/home/buildbot/buildarea/3.x.cstratak-RHEL7-x86_64.lto-pgo/build/Lib/test/libregrtest/runtest.py", line 209 in _test_module
  File "/home/buildbot/buildarea/3.x.cstratak-RHEL7-x86_64.lto-pgo/build/Lib/test/libregrtest/runtest.py", line 234 in _runtest_inner2
  File "/home/buildbot/buildarea/3.x.cstratak-RHEL7-x86_64.lto-pgo/build/Lib/test/libregrtest/runtest.py", line 270 in _runtest_inner
  File "/home/buildbot/buildarea/3.x.cstratak-RHEL7-x86_64.lto-pgo/build/Lib/test/libregrtest/runtest.py", line 140 in _runtest
  File "/home/buildbot/buildarea/3.x.cstratak-RHEL7-x86_64.lto-pgo/build/Lib/test/libregrtest/runtest.py", line 193 in runtest
  File "/home/buildbot/buildarea/3.x.cstratak-RHEL7-x86_64.lto-pgo/build/Lib/test/libregrtest/runtest_mp.py", line 67 in run_tests_worker
  File "/home/buildbot/buildarea/3.x.cstratak-RHEL7-x86_64.lto-pgo/build/Lib/test/libregrtest/main.py", line 651 in _main
  File "/home/buildbot/buildarea/3.x.cstratak-RHEL7-x86_64.lto-pgo/build/Lib/test/libregrtest/main.py", line 631 in main
  File "/home/buildbot/buildarea/3.x.cstratak-RHEL7-x86_64.lto-pgo/build/Lib/test/libregrtest/main.py", line 704 in main
  File "/home/buildbot/buildarea/3.x.cstratak-RHEL7-x86_64.lto-pgo/build/Lib/test/regrtest.py", line 43 in _main
  File "/home/buildbot/buildarea/3.x.cstratak-RHEL7-x86_64.lto-pgo/build/Lib/test/regrtest.py", line 47 in <module>
  File "/home/buildbot/buildarea/3.x.cstratak-RHEL7-x86_64.lto-pgo/build/Lib/runpy.py", line 85 in _run_code
  File "/home/buildbot/buildarea/3.x.cstratak-RHEL7-x86_64.lto-pgo/build/Lib/runpy.py", line 192 in _run_module_as_main
msg356233 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2019-11-08 09:04
Timeout on the Ubuntu job of Azure Pipelines:

https://dev.azure.com/Python/cpython/_build/results?buildId=53629&view=logs&j=256d7e09-002a-52d7-8661-29ee3960640e

0:27:55 load avg: 0.11 [419/419/2] test_asyncio crashed (Exit code 1)
Timeout (0:20:00)!
Thread 0x00007fe2c4fdf700 (most recent call first):
  File "/home/vsts/work/1/s/Lib/selectors.py", line 468 in select
  File "/home/vsts/work/1/s/Lib/asyncio/base_events.py", line 1837 in _run_once
  File "/home/vsts/work/1/s/Lib/asyncio/base_events.py", line 589 in run_forever
  File "/home/vsts/work/1/s/Lib/asyncio/base_events.py", line 621 in run_until_complete
  File "/home/vsts/work/1/s/Lib/test/test_asyncio/test_subprocess.py", line 440 in test_cancel_make_subprocess_transport_exec
  File "/home/vsts/work/1/s/Lib/unittest/case.py", line 616 in _callTestMethod
msg356690 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2019-11-15 16:48
AMD64 Fedora Stable Refleaks 3.8:
https://buildbot.python.org/all/#/builders/260/builds/50

...
test_devnull_input (test.test_asyncio.test_subprocess.SubprocessFastWatcherTests) ... ok
test_devnull_output (test.test_asyncio.test_subprocess.SubprocessFastWatcherTests) ... ok
test_empty_input (test.test_asyncio.test_subprocess.SubprocessFastWatcherTests) ... ok
test_exec_loop_deprecated (test.test_asyncio.test_subprocess.SubprocessFastWatcherTests) ... ok
test_kill (test.test_asyncio.test_subprocess.SubprocessFastWatcherTests) ... ok
test_pause_reading (test.test_asyncio.test_subprocess.SubprocessFastWatcherTests) ... ok
test_popen_error (test.test_asyncio.test_subprocess.SubprocessFastWatcherTests) ... ok
test_popen_error_with_stdin_pipe (test.test_asyncio.test_subprocess.SubprocessFastWatcherTests) ... ok
test_read_stdout_after_process_exit (test.test_asyncio.test_subprocess.SubprocessFastWatcherTests) ... ok
test_send_signal (test.test_asyncio.test_subprocess.SubprocessFastWatcherTests) ... ok
test_shell (test.test_asyncio.test_subprocess.SubprocessFastWatcherTests) ... ok
test_shell_loop_deprecated (test.test_asyncio.test_subprocess.SubprocessFastWatcherTests) ... ok
test_start_new_session (test.test_asyncio.test_subprocess.SubprocessFastWatcherTests) ... ok
test_stdin_broken_pipe (test.test_asyncio.test_subprocess.SubprocessFastWatcherTests) ... ok
test_stdin_not_inheritable (test.test_asyncio.test_subprocess.SubprocessFastWatcherTests) ... ok
test_stdin_stdout (test.test_asyncio.test_subprocess.SubprocessFastWatcherTests) ... ok
test_terminate (test.test_asyncio.test_subprocess.SubprocessFastWatcherTests) ... ok
Timeout (3:15:00)!
Thread 0x00007f59c7bf0740 (most recent call first):
  File "/home/buildbot/buildarea/3.8.cstratak-fedora-stable-x86_64.refleak/build/Lib/selectors.py", line 468 in select
  File "/home/buildbot/buildarea/3.8.cstratak-fedora-stable-x86_64.refleak/build/Lib/asyncio/base_events.py", line 1808 in _run_once
  File "/home/buildbot/buildarea/3.8.cstratak-fedora-stable-x86_64.refleak/build/Lib/asyncio/base_events.py", line 563 in run_forever
  File "/home/buildbot/buildarea/3.8.cstratak-fedora-stable-x86_64.refleak/build/Lib/asyncio/base_events.py", line 595 in run_until_complete
  File "/home/buildbot/buildarea/3.8.cstratak-fedora-stable-x86_64.refleak/build/Lib/test/test_asyncio/test_subprocess.py", line 440 in test_cancel_make_subprocess_transport_exec
  (...)
msg361577 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2020-02-07 10:54
I didn't see this issue recently, I close the issue.
History
Date User Action Args
2020-02-07 10:54:42vstinnersetstatus: open -> closed
resolution: out of date
messages: + msg361577

stage: resolved
2019-11-17 11:06:32aerossetnosy: + aeros
2019-11-15 16:48:48vstinnersetmessages: + msg356690
2019-11-08 09:04:57vstinnersetmessages: + msg356233
2019-09-25 13:09:21vstinnersetcomponents: + Tests
versions: + Python 3.9
2019-09-25 13:09:13vstinnercreate